<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'SupportCopyMarkdownServices',
  props: {
    data: {
      type: Object,
      required: true,
    },
  },
});
</script>

<template>
  <div
    :data-aos="data.aos_animation"
    :data-aos-duration="data.aos_duration"
    class="slp-position-relative"
  >
    <section>
      <SlpRow class="slp-flex slp-flex-column">
        <SlpColumn :cols="data.column_size || 12">
          <div v-if="data.title">
            <div class="blog-copy__header-gradient" />
            <div class="blog-copy__header-anchor">
              <SlpTypography
                v-if="data.title"
                :id="data.id"
                variant="heading2-bold"
                tag="h2"
                class="blog-copy__title"
                >{{ data.title }}
              </SlpTypography>
              <router-link :to="{ path: '', hash: data.id }" data-test="ty">
                <SlpIcon
                  class="slp-ml-16"
                  name="anchor"
                  variant="marketing"
                  slp-color="text-link-100"
                  alt="Anchor Icon"
                />
              </router-link>
            </div>
          </div>
          <SlpTypography v-if="data.subheader" variant="heading4-bold" tag="p">
            {{ data.subheader }}
          </SlpTypography>
          <SlpTypography variant="body1" tag="p" class="slp-my-24">
            {{ data.description }}
          </SlpTypography>
          <SlpRow>
            <SlpColumn
              v-for="(card, i) in data.cards"
              :key="i"
              :cols="12"
              class="blog-copy__wrapper"
            >
              <div class="blog-copy__card">
                <SlpTypography
                  v-if="card.title"
                  tag="h4"
                  variant="heading4-bold"
                  class="slp-mb-24"
                >
                  {{ card.title }}
                </SlpTypography>
                <SlpTypography
                  v-if="card.subtitle"
                  tag="h4"
                  variant="heading4-bold"
                  class="slp-mb-24"
                >
                  {{ card.subtitle }}
                </SlpTypography>
                <div
                  variant="body1"
                  tag="p"
                  class="blog-copy__body"
                  v-html="$md.render(card.description)"
                ></div>
              </div>
            </SlpColumn>
          </SlpRow>
        </SlpColumn>
      </SlpRow>
    </section>
  </div>
</template>

<style lang="scss" scoped>
.blog-copy {
  &__header-gradient {
    background: linear-gradient(90deg, #ffc8c6 0%, #b3bded 100%);
    height: 4px;
    width: 95px;
    border-radius: 10px;
    margin-bottom: $spacing-16;
    margin-top: $spacing-48;
  }

  &__header-anchor {
    display: flex;
    align-items: center;
    max-width: 50%;
    margin-bottom: $spacing-24;

    @media (min-width: $breakpoint-md) {
      max-width: 100%;
    }

    :deep .slp-icon {
      opacity: 1;
      transition: opacity 0.5s ease-in-out;
      @media (min-width: $breakpoint-md) {
        opacity: 0;
      }
    }

    &:hover {
      :deep .slp-icon {
        opacity: 1;
      }
    }
  }

  &__card {
    background-color: $color-surface-800;
    padding: $spacing-32;
    height: 100%;
    border-radius: 4px;

    &--spaced {
      @media (min-width: $breakpoint-md) {
        margin-left: $spacing-16;
        margin-right: $spacing-16;
      }
    }

    .blog-copy__body {
      &:deep p {
        font-size: $text-body-1;
        line-height: $line-height-body-1;
      }
    }
  }

  &__card-link {
    padding: 0;
    color: $color-text-link-100;

    &:hover {
      text-decoration-color: $color-text-link-100;
    }
  }

  &__wrapper {
    width: 100%;
    margin-bottom: $spacing-32;
  }

  &__body {
    &--list-number {
      &:deep li {
        list-style-type: decimal !important;
        margin-bottom: $spacing-16;
      }
    }

    &:deep ul {
      margin: $spacing-24 $spacing-32;
    }

    &:deep ol {
      margin: $spacing-24 $spacing-32;
    }

    &:deep p {
      font-size: $text-heading-5-mobile;
      line-height: $line-height-heading-5-mobile;
      white-space: pre-wrap;
      margin-bottom: $spacing-16;

      @media (min-width: $breakpoint-md) {
        font-size: $text-heading-5;
        line-height: $line-height-heading-5;
      }
    }

    &:deep p strong {
      font-weight: $font-weight-bold !important;
    }

    &:deep p a {
      color: $color-text-link-100;
      font-size: $text-body-1;
    }

    &:deep p strong {
      font-weight: $font-weight-bold !important;
    }

    &:deep li,
    &:deep li a,
    &:deep li p {
      font-size: $text-body-2 !important;
      line-height: $line-height-body-2;
      font-weight: $font-weight-normal;
    }

    &:deep li {
      list-style-type: disc;
    }

    &:deep li strong {
      font-weight: $font-weight-bold !important;
    }

    &:deep blockquote {
      padding: $spacing-16;
      margin: $spacing-24 0;
      background-color: $color-surface-100;
      border: 1px solid $color-surface-400;
      border-radius: $spacing-4;
    }

    &:deep table {
      table-layout: fixed;
      width: 100%;
      max-width: 100%;
      margin: $spacing-24 0;
      background-color: transparent;
      border-collapse: collapse;
      border-spacing: 0;

      & > thead {
        &:first-child > :first-child > th {
          border-top: 1px solid $color-surface-200;
        }

        & > tr > th {
          vertical-align: center;
          text-align: left;
          padding: 8px;
          line-height: 1.42857;
          border: 1px solid $color-surface-200;
          border-bottom: 2px solid $color-surface-200;
          font-weight: $font-weight-bold;
          font-size: $text-body-1;

          a {
            font-weight: $font-weight-bold;
          }
        }
      }

      td {
        padding: 8px;
        line-height: 1.42857;
        vertical-align: top;
        border: 1px solid $color-surface-200;
        font-size: $text-body-1;
      }
    }
  }
}
</style>
